helmCharts:
  - name: istiod
    includeCRDs: false
    releaseName: istio
    version: 1.23.2
    repo: https://istio-release.storage.googleapis.com/charts
    valuesInline:
      meshConfig:
        enableTracing: true

        defaultConfig:
          discoveryAddress: "istiod.istio-system.svc:15012"
          tracing:
            zipkin:
              address: zipkin:9411
            sampling: 100

        accessLogFile: /dev/stdout
        accessLogEncoding: TEXT

      global:
        istio-namespace: istio-system
      pilot:
        replicaCount: 3

namespace: istio-system

resources:
  - tracing.yaml
  - monitoring.yaml
